import { Context } from '@nuxt/types';
export interface GraphqlMiddlewarePluginConfig {
    enabled?: boolean;
    cacheInBrowser?: boolean;
    cacheInServer?: boolean;
}
export declare class GraphqlMiddlewarePlugin {
    baseURL: string;
    headers: any;
    beforeRequestFn: Function | undefined;
    cache?: Map<string, any>;
    context: any;
    constructor(baseURL: string, headers: any, useCache: boolean, context: Context);
    getPluginHeaderValue(): {
        'Nuxt-Graphql-Middleware-Route': any;
    };
    beforeRequest(fn: Function): void;
    /**
     * Perform a GraphQL query via the middleware.
     */
    query(name: string, variables?: any, headers?: any): Promise<any>;
    /**
     * Perform a GraphQL mutation via the middleware.
     */
    mutate(name: string, variables?: any, headers?: any): Promise<any>;
}
